allvideodir = '/home/zli/Documents/Research/HealtySleep/Data/Video/';
filename = '620310565181_7.asf';

videofile = fullfile(allvideodir,filename);
input = VideoReader(videofile);
framenum = input.numberOfFrames;
input = VideoReader(videofile);
hgt = input.Height;
wdh = input.Width;
pnum = hgt*wdh;
fps = input.FrameRate;
vidLen = input.Duration;
subSmpRt = 5;

% gt = false(framenum,1); % ground truth array, 0-no motion, 1-motion
load(fullfile(allvideodir,strcat(filename(1:end-4),'_gt.mat')),'Gt');

frameRcd = uint8(zeros(hgt,wdh,subSmpRt));

frameind = 1;
while(hasFrame(input))      
    frameRGB = readFrame(input);
    frameGray = rgb2gray(frameRGB);
    frameRcd = circshift(frameRcd, 1,3);
    frameRcd(:,:,1) = frameGray;
    Gt(frameind,2) = input.CurrentTime;
    if mod(frameind,subSmpRt)~=0
        frameind = frameind+1;
        continue;
    end
    disp(['frame number:' ,num2str(frameind)]);
%     h = figure(1);
%     subplot(1,3,1); imshow(frameRGB); 
%     title(strcat('Original frame:',num2str(frameind)));
    if frameind == subSmpRt
        framePre = frameGray;
        frameind = frameind+1;
        continue;
    end

    Diff = abs(frameGray-framePre);
%     subplot(1,3,2); imshow(Diff>30);
%     title(strcat('Diff Sum:',num2str(sum(Diff,'all'))));
    filterDiff = medfilt2(Diff>30,[5 5]);
%     subplot(1,3,3); imshow(filterDiff);
%     title(strcat('Diff Sum:',num2str(sum(filterDiff,'all'))));
    if sum(filterDiff,'all')>10
        disp('Attention!');
        figure(2); 
        for i=1:subSmpRt
            imshow(frameRcd(:,:,subSmpRt-i+1));
        end
%         Gt(frameind-subSmpRt+1:frameind) = true;
    end
    framePre = frameGray;
    frameind = frameind+1;
end
save(fullfile(allvideodir,strcat(filename(1:end-4),'_Gt.mat')),'Gt');
