function dif = timeDif(staTime, endTime)
% The function calculates the time difference 
% Input:
% staTime: time substracted from endTime, 3*1 cell as hh:mm:ss
% endTime: time to be substracted, 3*1 cell as hh:mm:ss
%*******************************************************
staTime = cellfun(@str2num,staTime);
endTime = cellfun(@str2num,endTime);

if staTime(1) > endTime(1) % endTime after midnight
    endTime(1) = endTime(1)+24;
end

staTimeInSec = staTime(1)*3600+staTime(2)*60+staTime(3);
endTimeInSec = endTime(1)*3600+endTime(2)*60+endTime(3);

dif = endTimeInSec-staTimeInSec;
end