function seqInd = time2ind(time, smpFreq)
% The function changes time in hh:mm:ss to index, the index of the beginnng
% of each second
% input:
% time -- time in 1*3 cell arr, h,m,s
% smpFreq -- sampling frequency, data points per second
% output:
% seqInd -- sequence index
time = cellfun(@str2num,time);
timeInSec = time(1)*3600+time(2)*60+time(3);
seqInd = timeInSec*smpFreq;
end
